<template>
  <div>
        <div v-show="mergeInfos().from == 'source'">
            {{ props.row[source] }}
        </div>
        <div v-show="mergeInfos().from != 'source'">
            <span class="text-negative">{{ mergeInfos().content }}</span> <q-badge color="orange" >{{mergeInfos().from}}</q-badge>
            <q-tooltip :delay="200" content-class="bg-grey-1 text-primary">Possible value from variants</q-tooltip>
        </div>
  </div>
</template>

<script>
module.exports = {
  props: ['props', 'source'],
  data () {
    return {
      ofrlex2dect: { 
        id: 'id', 
        ofrlexHeadword: 'entry', 
        tlhw: 'toblerHeadword',
        tllemma: 'lemma',
        // 'tlhw': 'tobler',
        tlref: 'tlref', 
        subCat: 'subcat', 
        descendent: 'fewEtymon',
        cat: 'categoryMorphoSyntactic' 
      },
      ofrlex2godefroy: { id: 'id', ofrlexHeadword: 'form', tllemma: 'lemmaVariation', cat: 'pos2'  },
      ofrlex2frolex: { id: 'id', ofrlexHeadword: 'form', tllemma: 'lemma', cat: 'msdCattexConv' },
      content: this.props.row[this.source],
    }
  },
  mounted() {
  },
  methods: {
    mergeInfos(){
      if(this.props.row.vDect != null){
        let dect = this.props.row.vDect;
        if (this.ofrlex2dect.hasOwnProperty(this.source) && !this.props.row[this.source]) {
          if(dect[this.ofrlex2dect[this.source]].length > 0)
            return {from: 'dect', content: dect[this.ofrlex2dect[this.source]]};
        }
      }else if(this.props.row.vGodefroyList != null && this.props.row.vGodefroyList.length > 0){
        let godefroy = this.props.row.vGodefroyList;
        for(var i = 0; i < godefroy.length; i++){
          if (this.ofrlex2godefroy.hasOwnProperty(this.source) && !this.props.row[this.source]) {
            if(this.props.row.vGodefroyList[i][  this.ofrlex2godefroy[this.source]  ].length > 0)
              return {from:'godefroy', content: godefroy[i][ this.ofrlex2godefroy[this.source] ]};
          }
        }
      }
      else if(this.props.row.vFrolexList != null && this.props.row.vFrolexList.length > 0){
        let frolex = this.props.row.vFrolexList; 
        for(var i = 0; i < frolex.length; i++){
          if (this.ofrlex2frolex.hasOwnProperty(this.source) && !this.props.row[this.source]) {
            if(this.props.row.vFrolexList[i][  this.ofrlex2frolex[this.source]  ].length > 0)
             return {from:'frolex', content: this.props.row.vFrolexList[i][  this.ofrlex2frolex[this.source]  ]};
          }
        }
      }
      return {from: 'source', content: this.props.row[this.source]};
    }
  }
}

//creaForm: {
        //   ofrlexHeadword: '',
        //   cat: '',
        //   subCat: '',
        //   inflclass: '',
        //   syntInfo: '',
        //   redistributions: '',
        //   pseudoGlosses: '',
        //   glossFr: '',
        //   descendent: ''
        // }

// ofrlex =  {"id":1,"ofrlexHeadword":"ambes","tlhw":"ambes","tllemma":"ambes","tlhwms":"a.","tlref":"1:327:26+1:1232:1","tlhwscat":"ambes__a.","inflclass":"adj",
// "headwordscat":null,"cat":"ADJcar","subCat":"","syntInfo":"cat=ADJcar","bfmfreq":"","glossFr":"","descendent":"","tlvariantOf":"",
// "variantOf":"","tldescendent":"","pseudoGlosses":"","redistributions":"default","manualCat":"ADJcar","manualVariantOf":null,
// "vDect":null,"vGodefroyList":[],"manualSyntfeats":"cat=ADJcar","manualRedistributions":"default"}

// "LexiconOfrlex4 [id=" + id + ", ofrlexHeadword=" + ofrlexHeadword + ", tlhw=" + tlhw + ", tllemma="
// 				+ tllemma + ", tlhwms=" + tlhwms + ", tlref=" + tlref + ", tlhwscat=" + tlhwscat + ", inflclass="
// 				+ inflclass + ", headwordscat=" + headwordscat + ", cat=" + cat + ", subCat=" + subCat + ", syntInfo="
// 				+ syntInfo + ", bfmfreq=" + bfmfreq + ", glossFr=" + glossFr + ", descendent=" + descendent
// 				+ ", tlvariantOf=" + tlvariantOf + ", variantOf=" + variantOf + ", tldescendent=" + tldescendent
// 				+ ", pseudoGlosses=" + pseudoGlosses + ", redistributions=" + redistributions + ", manualCat="
// 				+ manualCat + ", manualSyntfeats=" + manualSyntfeats + ", manualRedistributions="
// 				+ manualRedistributions + ", manualVariantOf=" + manualVariantOf + "]";

// "LexiconDect [id=" + id + ", godefroy=" + godefroy + ", godefroyPage=" + godefroyPage + ", tobler="
// 				+ tobler + ", toblerHeadword=" + toblerHeadword + ", entry=" + entry + ", page=" + page
// 				+ ", categoryMorphoSyntactic=" + categoryMorphoSyntactic + ", subcat=" + subcat + ", lemma=" + lemma
// 				+ ", freq=" + freq + ", FB=" + FB + ", fewEtymon=" + fewEtymon + ", fewRef=" + fewRef + ", TLF=" + TLF
// 				+ ", dectAND=" + dectAND + ", DMF=" + DMF + ", def=" + def + "]";

// "LexiconGodefroy [id=" + id + ", form=" + form + ", pos=" + pos + ", normedPOS=" + normedPOS
// 				 + ", lemmaVariation=" + lemmaVariation  + ", pos2="
// 				+ pos2 + ", definition=" + definition + ", indexGL=" + indexGL + "]";

// (Long id, String form, String bfmFreq, String msdAfrlex, String msdBFM, String msdCattexConv,
// 			String lemma, String lemmaSource, String comment

</script>

<style scoped>
.clickable {
  cursor:pointer;
}
</style>

